﻿@{ 
    ViewData["Title"] = "Posts";
}

<section>
    <div class="gap gray-bg">
        <div class="container-fluid">
            <div class="row" id="page-contents" style="margin:auto;width:60%;">
                <div id="postHolder">
                    @foreach (PostViewModel post in ViewBag.Posts)
                    {
                        <div class="l-post" id="">
                            <figure>
                                <img src="@Url.Action("GetImage", "Post", new { postId = post.Id })" onerror='this.src="/images/post-icon.png"' alt="">
                            </figure>
                            <div class="l-post-meta">
                                <h4><a href="#" title="">@post.Title</a></h4>
                                <div class="l-post-ranking">
                                    <a class="admin" href="#" title="">@post.UserFirstName @post.UserLastName</a>
                                    <a class="pdate" href="#" title="">@post.CreatedOn</a>
                                </div>
                                <p>
                                    @post.Body
                                </p>
                                <div class="g-post-ranking">
                                    <a class="likes" href="#" title=""><i class="fa fa-heart-o"></i>@post.Likes</a>
                                    <a class="coments" href="#" title=""><i class="fa fa-comment-o"></i>@post.Comments.Count</a>
                                </div>
                                <a href="#" title="" class="read">Read More</a>
                            </div>
                        </div>
                    }
                </div>

                <input type="hidden" id="pageNumber" value="1">
                <button class="btn-view btn-load-more" id="loadMorePostBtn">Load More</button>
            </div>
        </div>
    </div>
</section>